<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");

$sql = '';
$historia = '';


if($_REQUEST['sql']){$sql = $_REQUEST['sql'];}
if( $_REQUEST["historia"] ) {$historia = $_REQUEST['historia'];}
if($_REQUEST['lat']){$lat = $_REQUEST['lat'];}
if($_REQUEST['lon']){$lon = $_REQUEST['lon'];}

    $resultado = mysqli_query($con,$sql);
      

        $sql = "SELECT MAX(elem_red) as maxid FROM cat_psingulares WHERE 1";
        $resultado = mysqli_query($con,$sql);
        $row = mysqli_fetch_assoc($resultado);
        $id = $row["maxid"];




        $ccz = 'Sin Asignar';
        $sqlx = "SELECT NOMBRE, ASTEXT(SHAPE) AS geom FROM geo_cczs WHERE CONTAINS(SHAPE, GEOMFROMTEXT('POINT(" . $lon . " " . $lat . ")'))";
        $resultadox = mysqli_query($con,$sqlx);
        if ($resultadox != FALSE){
            if (mysqli_num_rows($resultadox) == 1)
            {
                $rowx = mysqli_fetch_assoc($resultadox);
                $ccz=$rowx['NOMBRE'];
            }  
            elseif (mysqli_num_rows($resultadox) > 1)
            {
                while($rowx = mysqli_fetch_assoc($resultadox))
                {
                    $geom=$rowx['geom'];
                    $esinterior = dl_geometria::dl_punto_en_poligono($lat,$lon,$geom);
                    if ($esinterior){$ccz=$rowx['NOMBRE'];};
                }
            }
        }
        $cuenca = 0;
        $sqlx = "SELECT id, ASTEXT(SHAPE) AS geom FROM geo_cuencas WHERE CONTAINS(SHAPE, GEOMFROMTEXT('POINT(" . $lon . " " . $lat . ")'))";
        $resultadox = mysqli_query($con,$sqlx);
        if ($resultadox != FALSE){
            if (mysqli_num_rows($resultadox) == 1)
            {
                $rowx = mysqli_fetch_assoc($resultadox);
                $cuenca=$rowx['id'];
            }  
            elseif (mysqli_num_rows($resultadox) > 1)
            {
                while($rowx = mysqli_fetch_assoc($resultadox))
                {
                    $geom=$rowx['geom'];
                    $esinterior = dl_geometria::dl_punto_en_poligono($lat,$lon,$geom);
                    if ($esinterior){$cuenca=$rowx['id'];};
                }
            }
        }
        
        $sql66 = "UPDATE cat_psingulares SET ccz = '" . $ccz . "', cuenca = " . $cuenca . " WHERE elem_red = " . $id;
        $resultado66= mysqli_query($con,$sql66);

        $historia = str_replace("'","",$historia);

        $usuario = "administrador";
        if( $_REQUEST["usuario"] ) {
           $usuario = $_REQUEST['usuario'];
        }

    
    if($historia != '')
    {
        $fecha = dl_fecha::dl_ahora_texto();
        $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id . ",'Se creo nuevo punto singular','NUEVO PSINGULAR','" . $fecha . "','" . $usuario . "','PSINGULAR')";
         $resultado = mysqli_query($con,$sql);
    }  
    
    $res = array();
    array_push($res,$id);
    array_push($res,$ccz);
    array_push($res,$cuenca);

mysqli_close($con);
echo json_encode($res);
?>





